<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Src/NLME/GTSoptions/getGTSoptions.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_413f4e031a85da0d68269c6fd2f76e1c.html">Src</a></li><li class="navelem"><a class="el" href="../../dir_8672bca13fc16af0e54d5ddc01090308.html">NLME</a></li><li class="navelem"><a class="el" href="../../dir_b4b7268f68ca4bbafe4f0ebd0cad26b6.html">GTSoptions</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">getGTSoptions.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d9c/get_g_t_soptions_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">function</span> [GTSoptions]=<a class="code" href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">getGTSoptions</a>()</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;testflag=0;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;compileflag=1;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;runSecondStage=0;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;FSopt.runtype=1;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;FSopt.bounded=1;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;FSopt.parWorkers=10;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;FSopt.showStatus=true;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;FSopt.optimTols=1e-6;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;FSopt.gloalgName=NLOPT_G_MLSL_LDS;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;FSopt.algName=  NLOPT_LN_SBPLX;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;FSopt.gloalgStarts=100;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;FSopt.gloalgMaxeval=1e5;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;FSopt.parProfile=&#39;local&#39;;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;FSopt.poolFlg=1;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;FSopt.GLS.max_iters=10;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;FSopt.GLS.min_iters=2;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;FSopt.GLS.max_score=0.01;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;FSopt.GLS.errorEstimation=&#39;AR&#39;;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;SSopt.Optimization=&#39;Optimizer&#39;;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;SSopt.CovariateFn=@<a class="code" href="../../d9/d2e/get_ai__default_8m.html#ab9cf1c01b7c061985281d4406e7a81a8">getAi_default</a>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;SSopt.inpfiles={};</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;SSopt.covariate_flag=[];</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">   51</a></span>&#160;SSopt.DiagD=<span class="stringliteral">&#39;full&#39;</span>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;SSopt.jointExps=1;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;SSopt.initialbeta0=[];</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;SSopt.initialD0=[];</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;SSopt.fname_append=[];</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;%convergence criteria <span class="keywordflow">for</span> EM based algorithms in Second stage</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;SSopt.EM.conv_maxiter=10000;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;SSopt.EM.conv_tol=5e-4;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;% Optimizer criteria <span class="keywordflow">for</span> optimization based algorithms in Second stage</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;SSopt.optim.ftol_rel = 1e-6;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;SSopt.optim.xtol_rel = 1e-6;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;SSopt.optim.algorithm = NLOPT_LN_SBPLX;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;SSopt.optim.lower_bounds=[];</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;SSopt.optim.upper_bounds=[];</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;% Objective <span class="keyword">function</span> to be passed to the second stage optimizer</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;SSopt.optim.fnHandle=[];</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;SSopt.optim.fnParamMapper=[];</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;% Flag to evaluate uncertainity in the second stage</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;SSopt.evalUncertainty=<span class="keyword">false</span>; % user must define a <span class="keyword">function</span> <span class="keywordflow">if</span> needed</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160; </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;% Things that should be passed to the estimation objective <span class="keyword">function</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;SSopt.objOpts.tologVar=<span class="keyword">true</span>;    % Used only during optimization</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160; </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;% Aggregate everything together</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;GTSoptions=<span class="keyword">struct</span>();</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;GTSoptions.FSopt=FSopt;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;GTSoptions.SSopt=SSopt;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;GTSoptions.testflag=0;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;GTSoptions.compileflag=1;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;GTSoptions.runSecondStage=0;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aget_ai__default_8m_html_ab9cf1c01b7c061985281d4406e7a81a8"><div class="ttname"><a href="../../d9/d2e/get_ai__default_8m.html#ab9cf1c01b7c061985281d4406e7a81a8">getAi_default</a></div><div class="ttdeci">function getAi_default(in nbeta, in varargin)</div><div class="ttdoc">getAi_default gets the default design matrices for each cell's fixed effect</div></div>
<div class="ttc" id="aget_g_t_soptions_8m_html_ae647b62533f002ee981fb9dc2fc63d7a"><div class="ttname"><a href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">getGTSoptions</a></div><div class="ttdeci">function getGTSoptions()</div><div class="ttdoc">getGTSoptions initialses the options structure to be run in the GTS</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
